ISO8601DateFormat (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.util

## Class ISO8601DateFormat

- java.lang.Object
- - java.text.Format
  - - java.text.DateFormat
    - - org.codehaus.jackson.map.util.ISO8601DateFormat

- All Implemented Interfaces:
    Serializable, Cloneable

      public class ISO8601DateFormat
      extends DateFormat

  Provide a fast thread-safe formatter/parser DateFormat for ISO8601 dates ONLY. It was mainly done to be used with Jackson JSON Processor.

  Watch out for clone implementation that returns itself.

  All other methods but parse and format and clone are undefined behavior.
  See Also:
    `ISO8601Utils`, Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.text.DateFormat

      `DateFormat.Field`

  - ### Field Summary

    - ### Fields inherited from class java.text.DateFormat

      `AM_PM_FIELD, calendar, DATE_FIELD, DAY_OF_WEEK_FIELD, DAY_OF_WEEK_IN_MONTH_FIELD, DAY_OF_YEAR_FIELD, DEFAULT, ERA_FIELD, FULL, HOUR_OF_DAY0_FIELD, HOUR_OF_DAY1_FIELD, HOUR0_FIELD, HOUR1_FIELD, LONG, MEDIUM, MILLISECOND_FIELD, MINUTE_FIELD, MONTH_FIELD, numberFormat, SECOND_FIELD, SHORT, TIMEZONE_FIELD, WEEK_OF_MONTH_FIELD, WEEK_OF_YEAR_FIELD, YEAR_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ISO8601DateFormat()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `StringBuffer` | `format(Date date, StringBuffer toAppendTo, FieldPosition fieldPosition)`
    `Date` | `parse(String source, ParsePosition pos)`

    - ### Methods inherited from class java.text.DateFormat

      `equals, format, format, getAvailableLocales, getCalendar, getDateInstance, getDateInstance, getDateInstance, getDateTimeInstance, getDateTimeInstance, getDateTimeInstance, getInstance, getNumberFormat, getTimeInstance, getTimeInstance, getTimeInstance, getTimeZone, hashCode, isLenient, parse, parseObject, setCalendar, setLenient, setNumberFormat, setTimeZone`

    - ### Methods inherited from class java.text.Format

      `format, formatToCharacterIterator, parseObject`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ISO8601DateFormat

          public ISO8601DateFormat()

  - ### Method Detail

    - #### format

          public StringBuffer format(Date date,
                            StringBuffer toAppendTo,
                            FieldPosition fieldPosition)

      Specified by:
        `format` in class `DateFormat`

    - #### parse

          public Date parse(String source,
                   ParsePosition pos)

      Specified by:
        `parse` in class `DateFormat`

    - #### clone

          public Object clone()

      Overrides:
        `clone` in class `DateFormat`